--- old/build/entire/entire.p5m	Mon Dec 12 15:05:42 2016
+++ new/build/entire/entire.p5m	Mon Dec 12 15:05:42 2016
@@ -143,16 +143,27 @@
 depend fmri=library/nspr@4.12,5.11-@PVER@ type=require
 depend fmri=library/pcre@8.39,5.11-@PVER@ type=require
 depend fmri=library/python-2/cherrypy-26@3.2.2,5.11-@PVER@ type=require
+depend fmri=library/python-2/cherrypy-27@3.2.2,5.11-@PVER@ type=require
 depend fmri=library/python-2/m2crypto-26@0.24,5.11-@PVER@ type=require
+depend fmri=library/python-2/m2crypto-27@0.24,5.11-@PVER@ type=require
 depend fmri=library/python-2/mako-26@1.0,5.11-@PVER@ type=require
+depend fmri=library/python-2/mako-27@1.0,5.11-@PVER@ type=require
 depend fmri=library/python-2/numpy-26@1.11,5.11-@PVER@ type=require
+depend fmri=library/python-2/numpy-27@1.11,5.11-@PVER@ type=require
 depend fmri=library/python-2/ply-26@3.9,5.11-@PVER@ type=require
+depend fmri=library/python-2/ply-27@3.9,5.11-@PVER@ type=require
 depend fmri=library/python-2/pybonjour-26@1.1.1,5.11-@PVER@ type=require
+depend fmri=library/python-2/pybonjour-27@1.1.1,5.11-@PVER@ type=require
 depend fmri=library/python-2/pycurl-26@7.43,5.11-@PVER@ type=require
+depend fmri=library/python-2/pycurl-27@7.43,5.11-@PVER@ type=require
 depend fmri=library/python-2/pyopenssl-26@0.11,5.11-@PVER@ type=require
+depend fmri=library/python-2/pyopenssl-27@0.11,5.11-@PVER@ type=require
 depend fmri=library/python-2/pyrex-26@0.9.9,5.11-@PVER@ type=require
+depend fmri=library/python-2/pyrex-27@0.9.9,5.11-@PVER@ type=require
 depend fmri=library/python-2/setuptools-26@0.6.11,5.11-@PVER@ type=require
+depend fmri=library/python-2/setuptools-27@0.6.11,5.11-@PVER@ type=require
 depend fmri=library/python-2/simplejson-26@3.8,5.11-@PVER@ type=require
+depend fmri=library/python-2/simplejson-27@3.8,5.11-@PVER@ type=require
 depend fmri=library/readline@7.0,5.11-@PVER@ type=require
 depend fmri=library/security/openssl@1.0.2,5.11-@PVER@ type=require
 depend fmri=library/security/tcp-wrapper@7.6,5.11-@PVER@ type=require
--- old/build/jeos/omnios-userland.p5m	Mon Dec 12 15:05:42 2016
+++ new/build/jeos/omnios-userland.p5m	Mon Dec 12 15:05:42 2016
@@ -60,17 +60,29 @@
 depend fmri=library/pcre@8.39,5.11-@PVER@ type=incorporate
 depend fmri=library/perl-5/xml-parser@2.44,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/cherrypy-26@3.2.2,5.11-@PVER@ type=incorporate
+depend fmri=library/python-2/cherrypy-27@3.2.2,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/lxml-26@3.6,5.11-@PVER@ type=incorporate
+depend fmri=library/python-2/lxml-27@3.6,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/m2crypto-26@0.24,5.11-@PVER@ type=incorporate
+depend fmri=library/python-2/m2crypto-27@0.24,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/mako-26@1.0,5.11-@PVER@ type=incorporate
+depend fmri=library/python-2/mako-27@1.0,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/numpy-26@1.11,5.11-@PVER@ type=incorporate
+depend fmri=library/python-2/numpy-27@1.11,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/ply-26@3.9,5.11-@PVER@ type=incorporate
+depend fmri=library/python-2/ply-27@3.9,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/pybonjour-26@1.1.1,5.11-@PVER@ type=incorporate
+depend fmri=library/python-2/pybonjour-27@1.1.1,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/pycurl-26@7.43,5.11-@PVER@ type=incorporate
+depend fmri=library/python-2/pycurl-27@7.43,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/pyopenssl-26@0.11,5.11-@PVER@ type=incorporate
+depend fmri=library/python-2/pyopenssl-27@0.11,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/pyrex-26@0.9.9,5.11-@PVER@ type=incorporate
+depend fmri=library/python-2/pyrex-27@0.9.9,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/setuptools-26@0.6.11,5.11-@PVER@ type=incorporate
+depend fmri=library/python-2/setuptools-27@0.6.11,5.11-@PVER@ type=incorporate
 depend fmri=library/python-2/simplejson-26@3.8,5.11-@PVER@ type=incorporate
+depend fmri=library/python-2/simplejson-27@3.8,5.11-@PVER@ type=incorporate
 depend fmri=library/readline@7.0,5.11-@PVER@ type=incorporate
 depend fmri=library/security/openssl@1.0.2,5.11-@PVER@ type=incorporate
 depend fmri=library/security/trousers@0.3.8,5.11-@PVER@ type=incorporate
--- /dev/null	Mon Dec 12 15:05:42 2016
+++ new/build/python-cherrypy/build.sh	Mon Dec 12 15:05:42 2016
@@ -0,0 +1,64 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=CherryPy
+VER=3.2.2
+SUMMARY="cherrypy - A Minimalist Python Web Framework"
+DESC="$SUMMARY"
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/cherrypy-26
+RUN_DEPENDS_IPS="runtime/python-26"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/cherrypy-27
+RUN_DEPENDS_IPS="runtime/python-27"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version $OLDPV
--- old/build/python26-cherrypy/local.mog	Mon Dec 12 15:05:42 2016
+++ /dev/null	Mon Dec 12 15:05:42 2016
@@ -1,27 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-license usr/lib/python2.6/vendor-packages/cherrypy/LICENSE.txt license=BSD
-<transform file path=usr/bin/cherryd -> drop>
--- /dev/null	Mon Dec 12 15:05:42 2016
+++ new/build/python-cherrypy/local.mog	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,27 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+license usr/lib/python$(PYTHONVER)/vendor-packages/cherrypy/LICENSE.txt license=BSD
+<transform file path=usr/bin/cherryd -> drop>
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-coverage/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,64 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=coverage
+VER=4.2
+SUMMARY="Code coverage measurement for Python"
+DESC="$SUMMARY"
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+RUN_DEPENDS_IPS="runtime/python-26"
+PKG=library/python-2/coverage-26
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+RUN_DEPENDS_IPS="runtime/python-27"
+PKG=library/python-2/coverage-27
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version $OLDPV
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-jsonrpclib/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,64 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=jsonrpclib
+VER=0.1.7
+SUMMARY="A Python JSON-RPC over HTTP that mirrors xmlrpclib syntax"
+DESC="$SUMMARY"
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/jsonrpclib-26
+RUN_DEPENDS_IPS="runtime/python-26"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/jsonrpclib-27
+RUN_DEPENDS_IPS="runtime/python-27"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version $OLDPV
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-lxml/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,66 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=lxml
+VER=3.6.4
+SUMMARY="lxml - Powerful and Pythonic XML processing library"
+DESC="$SUMMARY"
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/lxml-26
+RUN_DEPENDS_IPS="runtime/python-26 library/libxml2 library/libxslt"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+strip_install -x
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/lxml-27
+RUN_DEPENDS_IPS="runtime/python-27 library/libxml2 library/libxslt"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+strip_install -x
+make_package
+clean_up
+
+set_python_version $OLDPV
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-m2crypto/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,66 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=M2Crypto
+VER=0.24.0
+SUMMARY="Python interface for openssl"
+DESC="M2Crypto provides a python interface to the openssl library."
+
+BUILD_DEPENDS_IPS="swig"
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/m2crypto-26
+RUN_DEPENDS_IPS="runtime/python-26 library/security/openssl@1.0.2"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/m2crypto-27
+RUN_DEPENDS_IPS="runtime/python-27 library/security/openssl@1.0.2"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version $OLDPV
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-mako/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,64 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=Mako
+VER=1.0.4
+SUMMARY="Mako - a python templating language"
+DESC="$SUMMARY"
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/mako-26
+RUN_DEPENDS_IPS="runtime/python-26 library/python-2/setuptools-26"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/mako-27
+RUN_DEPENDS_IPS="runtime/python-27 library/python-2/setuptools-27"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version $OLDPV
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-numpy/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,80 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=numpy
+VER=1.11.2
+SUMMARY="numpy - package for scientific computing with Python"
+DESC="$SUMMARY"
+
+
+# This builds leaves uncleanable crud behind.  See pre_python_64() below for
+# more details.
+REMOVE_PREVIOUS=1
+
+pre_python_64() {
+	logmsg "prepping 64bit python build"
+	# "./setup.py clean" was removed from numpy.  Use a more
+	# brute-force approach.
+	logcmd /bin/rm -rf build
+}
+
+save_function clean_up clean_up_orig
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/numpy-26
+RUN_DEPENDS_IPS="runtime/python-26"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+strip_install -x
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/numpy-27
+RUN_DEPENDS_IPS="runtime/python-27"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+strip_install -x
+make_package
+clean_up
+
+set_python_version $OLDPV
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-numpy/local.mog	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,20 @@
+license LICENSE.txt license=BSD
+
+# Prevents pkgdepend from freaking out.
+<transform file path=usr/bin/f2py$(PYTHONVER) -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/docs/usersguide/setup_example.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/__init__.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/auxfuncs.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/capi_maps.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/cb_rules.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/cfuncs.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/common_rules.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/crackfortran.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/diagnose.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/f2py2e.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/f90mod_rules.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/func2subr.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/rules.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/f2py/use_rules.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/distutils/cpuinfo.py -> set pkg.depend.bypass-generate .* >
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/numpy/distutils/system_info.py -> set pkg.depend.bypass-generate .* >
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-ply/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,72 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=ply
+VER=3.9
+SUMMARY="ply - Python lex and yacc"
+DESC="$SUMMARY"
+
+make_license() {
+    # Sigh. People. put the license in a standalong file!
+    awk '/Copyright/,/DAMAGE.$/{print}' $TMPDIR/$BUILDDIR/README.md > \
+        $TMPDIR/$BUILDDIR/LICENSE
+}
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/ply-26
+RUN_DEPENDS_IPS="runtime/python-26"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_license
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/ply-27
+RUN_DEPENDS_IPS="runtime/python-27"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_license
+make_package
+clean_up
+
+set_python_version $OLDPV
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-pybonjour/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,71 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=pybonjour
+VER=1.1.1
+SUMMARY="pure-Python interface bonjour/DNS-SD implementation"
+DESC="$SUMMARY"
+
+make_license() {
+    head -25 $TMPDIR/$BUILDDIR/build/lib/pybonjour.py > \
+        $TMPDIR/$BUILDDIR/LICENSE
+}
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/pybonjour-26
+RUN_DEPENDS_IPS="runtime/python-26"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_license
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+PKG=library/python-2/pybonjour-27
+RUN_DEPENDS_IPS="runtime/python-27"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_license
+make_package
+clean_up
+
+set_python_version $OLDPY
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-pycurl/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,64 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=pycurl
+VER=7.43.0
+SUMMARY="Python bindings for libcurl"
+DESC="PycURL provides a thin layer of Python bindings on top of libcurl."
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONPKGVER=$PYTHONPKGVER"
+PKG=library/python-2/pycurl-26
+RUN_DEPENDS_IPS="runtime/python-26 library/security/openssl@1.0.2 web/curl"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONPKGVER=$PYTHONPKGVER"
+PKG=library/python-2/pycurl-27
+RUN_DEPENDS_IPS="runtime/python-27 library/security/openssl@1.0.2 web/curl"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version $OLDPV
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-pycurl/local.mog	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,6 @@
+license COPYING-LGPL license=LGPL
+license COPYING-MIT license=MIT
+
+# Prevents pkgdepend from freaking out.
+<transform file -> edit path usr/share/doc/pycurl usr/share/doc/pycurl-$(PYTHONPKGVER)>
+<transform file path=usr/share/doc/pycurl-$(PYTHONPKGVER)/examples/linksys.py -> set pkg.depend.bypass-generate .* >
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-pylint/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,64 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=pylint
+VER=1.6.4
+SUMMARY="python code static checker"
+DESC="$SUMMARY"
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONPKGVER=$PYTHONPKGVER"
+PKG=library/python-2/pylint-26
+RUN_DEPENDS_IPS="runtime/python-26"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONPKGVER=$PYTHONPKGVER"
+PKG=library/python-2/pylint-27
+RUN_DEPENDS_IPS="runtime/python-27"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version $OLDPV
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-pyopenssl/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,64 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=pyOpenSSL
+VER=0.11
+SUMMARY="pyOpenSSL - Python interface to the OpenSSL library for Python 2.6"
+DESC="$SUMMARY"
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONPKGVER=$PYTHONPKGVER"
+PKG=library/python-2/pyopenssl-26
+RUN_DEPENDS_IPS="runtime/python-26 library/security/openssl@1.0.2"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONPKGVER=$PYTHONPKGVER"
+PKG=library/python-2/pyopenssl-27
+RUN_DEPENDS_IPS="runtime/python-27 library/security/openssl@1.0.2"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version $OLDPV
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-pyrex/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,70 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=Pyrex
+VER=0.9.9
+SUMMARY="Pyrex - a Language for Writing Python Extension Modules"
+DESC="$SUMMARY"
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+PKG=library/python-2/pyrex-26
+RUN_DEPENDS_IPS="runtime/python-26"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+# XXX KEBE SAYS FIX ME...
+mv $DESTDIR/usr/bin/pyrexc $DESTDIR/usr/bin/pyrexc2.6
+ln -s ./pyrexc2.6 $DESTDIR/usr/bin/pyrexc
+strip_install -x
+make_package
+clean_up
+
+set_python_version 2.7
+PKG=library/python-2/pyrex-27
+RUN_DEPENDS_IPS="runtime/python-27"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+# XXX KEBE SAYS FIX ME...
+mv $DESTDIR/usr/bin/pyrexc $DESTDIR/usr/bin/pyrexc2.7
+ln -s ./pyrexc2.7 $DESTDIR/usr/bin/pyrexc
+strip_install -x
+make_package
+clean_up
+
+set_python_version $OLDPV
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-setuptools/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,68 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=setuptools
+VER=0.6.11
+SUMMARY="setuptools - yet another python packaging requirement"
+DESC="$SUMMARY"
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+RUN_DEPENDS_IPS="runtime/python-26"
+PKG=library/python-2/setuptools-26
+init
+prep_build
+mkdir -p $DESTDIR/usr/lib/python2.6/vendor-packages
+PYTHONPATH=$DESTDIR/usr/lib/python2.6/vendor-packages \
+    python2.6 ez_setup.py --always-copy \
+        --install-dir $DESTDIR/usr/lib/python2.6/vendor-packages/ \
+        setuptools
+make_package
+clean_up
+
+set_python_version 2.7
+XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
+RUN_DEPENDS_IPS="runtime/python-27"
+PKG=library/python-2/setuptools-27
+init
+prep_build
+mkdir -p $DESTDIR/usr/lib/python2.7/vendor-packages
+PYTHONPATH=$DESTDIR/usr/lib/python2.7/vendor-packages \
+    python2.7 ez_setup.py --always-copy \
+        --install-dir $DESTDIR/usr/lib/python2.7/vendor-packages/ \
+        setuptools
+make_package
+clean_up
+
+set_python_version $OLDPV
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-setuptools/local.mog	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,6 @@
+license files/PSL license=Python
+license files/ZPL license=ZPL
+
+# Prevents pkgdepend from freaking out.
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/easy_install -> set pkg.depend.bypass-generate .*>
+<transform file path=usr/lib/python$(PYTHONVER)/vendor-packages/easy_install-$(PYTHONVER) -> set pkg.depend.bypass-generate .*>
--- /dev/null	Mon Dec 12 15:05:43 2016
+++ new/build/python-simplejson/build.sh	Mon Dec 12 15:05:43 2016
@@ -0,0 +1,62 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=simplejson
+VER=3.8.2
+SUMMARY="simplejson - Python interface to JSON for Python 2.6"
+DESC="$SUMMARY"
+
+# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
+# And the only way buildctl detects packages is by grepping for PKG assignment.
+
+OLDPV=$PYTHONVER
+
+set_python_version 2.6
+PKG=library/python-2/simplejson-26
+RUN_DEPENDS_IPS="runtime/python-26"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version 2.7
+PKG=library/python-2/simplejson-27
+RUN_DEPENDS_IPS="runtime/python-27"
+init
+download_source $PROG $PROG $VER
+patch_source
+prep_build
+python_build
+make_package
+clean_up
+
+set_python_version $OLDPV
--- old/build/python26-cherrypy/build.sh	Mon Dec 12 15:05:43 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,44 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=CherryPy
-VER=3.2.2
-PKG=library/python-2/cherrypy-26
-SUMMARY="cherrypy - A Minimalist Python Web Framework"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26"
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
--- old/build/python26-coverage/build.sh	Mon Dec 12 15:05:43 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,44 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=coverage
-VER=4.2
-PKG=library/python-2/coverage-26
-SUMMARY="Code coverage measurement for Python"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26"
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
--- old/build/python26-jsonrpclib/build.sh	Mon Dec 12 15:05:43 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,44 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=jsonrpclib
-VER=0.1.7
-PKG=library/python-2/jsonrpclib-26
-SUMMARY="A Python JSON-RPC over HTTP that mirrors xmlrpclib syntax"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26"
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
--- old/build/python26-lxml/build.sh	Mon Dec 12 15:05:43 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,45 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=lxml
-VER=3.6.4
-PKG=library/python-2/lxml-26
-SUMMARY="lxml - Powerful and Pythonic XML processing library"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26 library/libxml2 library/libxslt"
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-strip_install -x
-make_package
-clean_up
--- old/build/python26-m2crypto/build.sh	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,45 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=M2Crypto
-VER=0.24.0
-PKG=library/python-2/m2crypto-26
-SUMMARY="Python interface for openssl"
-DESC="M2Crypto provides a python interface to the openssl library."
-
-DEPENDS_IPS="runtime/python-26 library/security/openssl@1.0.2"
-BUILD_DEPENDS_IPS="swig"
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
--- old/build/python26-mako/build.sh	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,44 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=Mako
-VER=1.0.4
-PKG=library/python-2/mako-26
-SUMMARY="Mako - a python templating language"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26 library/python-2/setuptools-26"
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
--- old/build/python26-numpy/build.sh	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,58 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=numpy
-VER=1.11.2
-PKG=library/python-2/numpy-26
-SUMMARY="numpy - package for scientific computing with Python"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26"
-
-# This builds leaves uncleanable crud behind.  See pre_python_64() below for
-# more details.
-REMOVE_PREVIOUS=1
-
-pre_python_64() {
-	logmsg "prepping 64bit python build"
-	# "./setup.py clean" was removed from numpy.  Use a more
-	# brute-force approach.
-	logcmd /bin/rm -rf build
-}
-
-save_function clean_up clean_up_orig
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-strip_install -x
-make_package
-clean_up
--- old/build/python26-numpy/local.mog	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,20 +0,0 @@
-license LICENSE.txt license=BSD
-
-# Prevents pkgdepend from freaking out.
-<transform file path=usr/bin/f2py2.6 -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/docs/usersguide/setup_example.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/__init__.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/auxfuncs.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/capi_maps.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/cb_rules.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/cfuncs.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/common_rules.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/crackfortran.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/diagnose.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/f2py2e.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/f90mod_rules.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/func2subr.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/rules.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/f2py/use_rules.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/distutils/cpuinfo.py -> set pkg.depend.bypass-generate .* >
-<transform file path=usr/lib/python2.6/vendor-packages/numpy/distutils/system_info.py -> set pkg.depend.bypass-generate .* >
--- old/build/python26-ply/build.sh	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,50 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=ply
-VER=3.9
-PKG=library/python-2/ply-26
-SUMMARY="ply - Python lex and yacc"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26"
-
-make_license() {
-    # Sigh. People. put the license in a standalong file!
-    awk '/Copyright/,/DAMAGE.$/{print}' $TMPDIR/$BUILDDIR/README.md > \
-        $TMPDIR/$BUILDDIR/LICENSE
-}
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_license
-make_package
-clean_up
--- old/build/python26-pybonjour/build.sh	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,50 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=pybonjour
-VER=1.1.1
-PKG=library/python-2/pybonjour-26
-SUMMARY="pure-Python interface bonjour/DNS-SD implementation"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26"
-
-make_license() {
-    head -25 $TMPDIR/$BUILDDIR/build/lib/pybonjour.py > \
-        $TMPDIR/$BUILDDIR/LICENSE
-}
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_license
-make_package
-clean_up
--- old/build/python26-pycurl/build.sh	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,44 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=pycurl
-VER=7.43.0
-PKG=library/python-2/pycurl-26
-SUMMARY="Python bindings for libcurl"
-DESC="PycURL provides a thin layer of Python bindings on top of libcurl."
-
-DEPENDS_IPS="runtime/python-26 library/security/openssl@1.0.2 web/curl"
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
--- old/build/python26-pycurl/local.mog	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,6 +0,0 @@
-license COPYING-LGPL license=LGPL
-license COPYING-MIT license=MIT
-
-# Prevents pkgdepend from freaking out.
-<transform file -> edit path usr/share/doc/pycurl usr/share/doc/pycurl-26>
-<transform file path=usr/share/doc/pycurl-26/examples/linksys.py -> set pkg.depend.bypass-generate .* >
--- old/build/python26-pylint/build.sh	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,44 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=pylint
-VER=1.6.4
-PKG=library/python-2/pylint-26
-SUMMARY="python code static checker"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26"
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
--- old/build/python26-pyopenssl/build.sh	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,44 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=pyOpenSSL
-VER=0.11
-PKG=library/python-2/pyopenssl-26
-SUMMARY="pyOpenSSL - Python interface to the OpenSSL library for Python 2.6"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26 library/security/openssl@1.0.2"
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
--- old/build/python26-pyrex/build.sh	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,49 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=Pyrex
-VER=0.9.9
-PKG=library/python-2/pyrex-26
-SUMMARY="Pyrex - a Language for Writing Python Extension Modules"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26"
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-
-mv $DESTDIR/usr/bin/pyrexc $DESTDIR/usr/bin/pyrexc2.6
-ln -s ./pyrexc2.6 $DESTDIR/usr/bin/pyrexc
-
-strip_install -x
-make_package
-clean_up
--- old/build/python26-setuptools/build.sh	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,46 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=setuptools
-VER=0.6.11
-PKG=library/python-2/setuptools-26
-SUMMARY="setuptools - yet another python packaging requirement"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26"
-
-init
-prep_build
-mkdir -p $DESTDIR/usr/lib/python2.6/vendor-packages
-PYTHONPATH=$DESTDIR/usr/lib/python2.6/vendor-packages \
-    python2.6 ez_setup.py --always-copy \
-        --install-dir $DESTDIR/usr/lib/python2.6/vendor-packages/ \
-        setuptools
-make_package
-clean_up
--- old/build/python26-setuptools/local.mog	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,6 +0,0 @@
-license files/PSL license=Python
-license files/ZPL license=ZPL
-
-# Prevents pkgdepend from freaking out.
-<transform file path=usr/lib/python2.6/vendor-packages/easy_install -> set pkg.depend.bypass-generate .*>
-<transform file path=usr/lib/python2.6/vendor-packages/easy_install-2.6 -> set pkg.depend.bypass-generate .*>
--- old/build/python26-simplejson/build.sh	Mon Dec 12 15:05:44 2016
+++ /dev/null	Mon Dec 12 15:05:43 2016
@@ -1,44 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=simplejson
-VER=3.8.2
-PKG=library/python-2/simplejson-26
-SUMMARY="simplejson - Python interface to JSON for Python 2.6"
-DESC="$SUMMARY"
-
-DEPENDS_IPS="runtime/python-26"
-
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
--- old/build/python27/build.sh	Mon Dec 12 15:05:44 2016
+++ new/build/python27/build.sh	Mon Dec 12 15:05:44 2016
@@ -99,7 +99,14 @@
 make_install32() {
     make_install
     rm $DESTDIR/usr/bin/i386/python || logerr "--- cannot remove arch hardlink"
-    # mv $DESTDIR/usr/lib/python2.7/config/Makefile $DESTDIR/usr/lib/python2.7/config/Makefile.32 || logerr "--- Makefile backup (32)"
+    # Copy off _sysconfigdata.py
+    sed 's/^/    /g' < $DESTDIR/usr/lib/python2.7/_sysconfigdata.py > \
+	    /tmp/_sysconfigdata-32-$$.py
+
+
+    # Move pyconfig.h header to 32-bit-specific version.
+    mv $DESTDIR/usr/include/python2.7/pyconfig.h \
+    	$DESTDIR/usr/include/python2.7/pyconfig-32.h
 }
 make_install64() {
     logmsg "--- make install"
@@ -109,9 +116,29 @@
     rm $DESTDIR/usr/lib/python2.7/config/libpython2.7.a || logerr "--- cannot remove static lib"
     # XXX KEBE SAYS Uncomment me eventually...
     # (cd $DESTDIR/usr/bin && ln -s python2.7 python) ||  logerr "--- could not setup python softlink"
-    # XXX KEBE SAYS Python2.7 appears to honor $LIB/amd64 for 64-bit python...
-    # mv $DESTDIR/usr/lib/python2.7/config/Makefile $DESTDIR/usr/lib/python2.7/config/Makefile.64 || logerr "--- Makefile backup (64)"
-    # mv $DESTDIR/usr/lib/python2.7/config/Makefile.32 $DESTDIR/usr/lib/python2.7/config/Makefile || logerr "--- Makefile restore (32)"
+    # Copy off _sysconfigdata.py
+    sed 's/^/    /g' < $DESTDIR/usr/lib/python2.7/_sysconfigdata.py > \
+	    /tmp/_sysconfigdata-64-$$.py
+    # Generate 32/64-bit agile _sysconfigdata.py
+    echo "import sys" > $DESTDIR/usr/lib/python2.7/_sysconfigdata.py
+    echo "" >> $DESTDIR/usr/lib/python2.7/_sysconfigdata.py
+    echo "if sys.maxsize > 2**32:" >> \
+	    $DESTDIR/usr/lib/python2.7/_sysconfigdata.py
+    cat /tmp/_sysconfigdata-64-$$.py \
+	    >> $DESTDIR/usr/lib/python2.7/_sysconfigdata.py
+    echo "else:" >> $DESTDIR/usr/lib/python2.7/_sysconfigdata.py
+    cat /tmp/_sysconfigdata-32-$$.py \
+	    >> $DESTDIR/usr/lib/python2.7/_sysconfigdata.py
+    # Clean up the 32/64 stragglers.
+    rm -f /tmp/_sysconfigdata-*-$$.py
+    # Postprocessing steps in either IPS or the omnios-build system create
+    # the .pyo and .pyc files.
+
+    # Move pyconfig.h header to 64-bit-specific version.
+    mv $DESTDIR/usr/include/python2.7/pyconfig.h \
+    	$DESTDIR/usr/include/python2.7/pyconfig-64.h
+
+    logcmd cp $SRCDIR/files/pyconfig.h $DESTDIR/usr/include/python2.7/pyconfig.h
 }
 
 install_license(){
--- /dev/null	Mon Dec 12 15:05:44 2016
+++ new/build/python27/files/pyconfig.h	Mon Dec 12 15:05:44 2016
@@ -0,0 +1,22 @@
+/*
+ * This file and its contents are supplied under the terms of the
+ * Common Development and Distribution License ("CDDL"), version 1.0.
+ * You may only use this file in accordance with the terms of version
+ * 1.0 of the CDDL.
+ *
+ * A full copy of the text of the CDDL should have accompanied this
+ * source.  A copy of the CDDL is also available via the Internet at
+ * http://www.illumos.org/license/CDDL.
+ */
+
+/*
+ * Copyright 2016 OmniTI Computer Consulting, Inc.
+ */
+
+/* Python2.7 doesn't understand it can be a dual 32/64-bit binary on OmniOS. */
+
+#ifdef _LP64
+#include <python2.7/pyconfig-64.h>
+#else
+#include <python2.7/pyconfig-32.h>
+#endif
--- old/lib/config.sh	Mon Dec 12 15:05:44 2016
+++ new/lib/config.sh	Mon Dec 12 15:05:44 2016
@@ -96,7 +96,7 @@
 
 
 #############################################################################
-# Python
+# Python -- NOTE, these can be changed at runtime via set_python_version().
 #############################################################################
 : ${PYTHONVER:=2.6}
 : ${PYTHONPKGVER:=`echo $PYTHONVER | sed 's/\.//g'`}
--- old/lib/functions.sh	Mon Dec 12 15:05:44 2016
+++ new/lib/functions.sh	Mon Dec 12 15:05:44 2016
@@ -685,7 +685,7 @@
         LOCAL_MOG_FILE=$SRCDIR/local.mog
     fi
     logmsg "--- Applying transforms"
-    $PKGMOGRIFY $P5M_INT $MY_MOG_FILE $GLOBAL_MOG_FILE $LOCAL_MOG_FILE $* | $PKGFMT -u > $P5M_INT2
+    $PKGMOGRIFY $XFORM_ARGS $P5M_INT $MY_MOG_FILE $GLOBAL_MOG_FILE $LOCAL_MOG_FILE $* | $PKGFMT -u > $P5M_INT2
     logmsg "--- Resolving dependencies"
     (
         set -e
@@ -1256,5 +1256,14 @@
     fi
 }
 
+# Change the PYTHON version so we can perform version-agile Python tricks.
+set_python_version() {
+    PYTHONVER=$1
+    PYTHONPKGVER=`echo $PYTHONVER | sed 's/\.//g'`
+    # Assume PYTHONPATH from config.sh is a constant.
+    PYTHON=$PYTHONPATH/bin/python$PYTHONVER
+    PYTHONLIB=$PYTHONPATH/lib
+}
+
 # Vim hints
 # vim:ts=4:sw=4:et:
